Bug 121653 - services does not handle SU shell same as root login
Summary: services does not handle SU shell same as root login
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: serviceconf   
(Show other bugs)
Version: 3.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Daniel Walsh
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-04-24 17:21 UTC by John Nash
Modified: 2007-11-30 22:07 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-06-10 17:51:12 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description John Nash 2004-04-24 17:21:05 UTC
Description of problem: services does not handle SU shell same as root
login

Version-Release number of selected component (if applicable): current,
RH Enterprise AS


How reproducible: very


Steps to Reproduce:
0. Login with a user account
1. Open Terminal
2. Shell to SU
3. CD to /etc/samba
4. type "service smb restart"
5. see error message "bash: service: command not found"
6. logoff
7. logon as root
8. follow above steps
9. see smb shutdown and restart.
  
Actual results:


Expected results:


Additional info:

Comment 1 Suzanne Hillman 2004-04-28 17:56:22 UTC
Did you 'su -', or 'su'? The former will pick up path information from
root, the latter will use your user account's path information.


Note You need to log in before you can comment on or make changes to this bug.